# BEGIN SourceDeps(oneline):
BuildRequires: perl(Device/SerialPort.pm) perl(ExtUtils/MakeMaker.pm) perl(Log/Log4perl.pm) perl(Moo.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name ZWave-Protocol
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Protocol helpers for Z-Wave communication
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MS/MSCHILLI/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
ZWave::Protocol helps with the low-level details of the Z-Wave protocol, and
offers support for packing packets with length headers and checksums, as well
as connecting, sending, and receiving to the Z-Wave controller plugged into the
USB port.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/Z*

%changelog
* Wed Mar 23 2016 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

